function [FPR,FNR,TP] = evalscore(score,test,percent)
[I,J,K] = find(score);
I = sub2ind(size(score),I,J);
[~,ind] = sort(K,'descend');
pred = I(ind);
clear I J K ind score

FPR = zeros(1,numel(percent));
FNR = zeros(1,numel(percent));
missInd = find(test);
tt = numel(percent)+1;
for j = 1:numel(percent),
        n = percent(tt-j);
        pred = pred(1:n);
        FNR(tt-j) = numel(setdiff(missInd,pred))/nnz(test);
        FPR(tt-j) = numel(setdiff(pred,missInd))/(numel(test)-nnz(test));
		TP(tt-j) = numel(intersect(pred,missInd))/numel(missInd);
end
clear pred missInd;



